#include <iostream>
#include <cmath>
#include <vector>
#include <algorithm>
#include <cstdio>

#define MAX 300001

int a[MAX] = { 0, 2, 7, 5, 2, 4, 3, 8, 6}, b[MAX] = { 0 };

int FindMaxMen(int *b, int n)
{
  if (b != nullptr)
  {
    int max = b[0];

    for (int i = 0; i < n; i++)
      if (b[i] > b[max])
        max = i;

    return max;
  }

  return -1;
}

int IsAllNorm(int *a, int n)
{
  for (int i = 0; i < n; i++)
    if (a[i] > 0)
      return 0;

  return 1;
}

int Find(int *a, int n, int val )
{
  for (int i = 1; i < n + 1; i++)
  {
    if (a[i] == val)
      return i;
  }
  return -1;
}
void MakeMenNorm( int n )
{
  int j;
  while (!IsAllNorm(a, n))
    for (int i = 1; i < n + 1; i++)
      if (a[i] > 0)
      {
        j = i;
        do
        {
          a[a[j]] = 0;
          b[a[j]] = 0;
          a[j] = -1;
          j = Find(a, n, i);
        } while (j != -1);
      }
}

int main(void)
{
  int n = 8;

  std::cin >> n;

  for (int i = 1; i < n + 1; i++)
  {
    scanf("%d", &a[i]);
    if (a[i] >= 0)
      b[a[i]]++;
  }

  int max = FindMaxMen(&b[1], n) + 1;

  while (b[max] > 1)
  {
    a[max] = 0;
    b[max] = 0;
    for (int i = 1; i < n + 1; i++)
      if (a[i] == max)
        a[i] = -1;
    max = FindMaxMen(&b[1], n) + 1;
  }

  MakeMenNorm(n);

  int res = 0;
  for (int i = 1; i < n + 1; i++)
    res += (a[i] == -1);

  std::cout << res;
  return 0;
}
